package com.sf.vertx;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.junit.Test;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Data
public class PatternTest {

	@Test
	public void match() {
		String target = "/test/a.html";
		String pattern = "^/test/.*";
//		String target = "hello, world";
//		String pattern = "^hello.*	";
		boolean isMatch = Pattern.matches(pattern, target);
		log.info("result:{}", isMatch);
	}
}
